Bug 239637 - databases/postgresql-plproxy: Fails to build with PostgreSQL 11
Summary: databases/postgresql-plproxy: Fails to build with PostgreSQL 11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: needs-patch
Depends on:
Blocks: 239514
  Show dependency treegraph
 
Reported: 2019-08-04 04:20 UTC by Tobias Kortkamp
Modified: 2019-08-16 18:18 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-08-04 04:20:03 UTC
This is with DEFAULT_VERSIONS+=pgsql=11 in make.conf and blocks making it
the default.

src/cluster.c:591:29: error: use of undeclared identifier 'ACL_KIND_FOREIGN_SERVER'; did you mean 'OBJECT_FOREIGN_SERVER'?
                aclcheck_error(aclresult, ACL_KIND_FOREIGN_SERVER, cluster->name);
                                          ^~~~~~~~~~~~~~~~~~~~~~~
                                          OBJECT_FOREIGN_SERVER
/usr/local/include/postgresql/server/nodes/parsenodes.h:1655:2: note: 'OBJECT_FOREIGN_SERVER' declared here
        OBJECT_FOREIGN_SERVER,
        ^
src/cluster.c:660:29: error: use of undeclared identifier 'ACL_KIND_FOREIGN_SERVER'; did you mean 'OBJECT_FOREIGN_SERVER'?
                aclcheck_error(aclresult, ACL_KIND_FOREIGN_SERVER, foreign_server->servername);
                                          ^~~~~~~~~~~~~~~~~~~~~~~
                                          OBJECT_FOREIGN_SERVER
/usr/local/include/postgresql/server/nodes/parsenodes.h:1655:2: note: 'OBJECT_FOREIGN_SERVER' declared here
        OBJECT_FOREIGN_SERVER,
        ^
2 errors generated.

http://package18.nyi.freebsd.org/data/120amd64-default-PR239514/2019-07-29_20h41m52s/logs/postgresql-plproxy-2.8_2.log

If there is no way to fix this properly, a possible fallback solution
would be to restrict the port to older PostgreSQL version via something
like USES=pgsql:9.5-
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-08-16 18:18:24 UTC
Fixed in r509088. Thanks!